org.h2.jdbc

## Interface JdbcException

All Known Implementing Classes:
  JdbcSQLDataException, JdbcSQLException, JdbcSQLFeatureNotSupportedException, JdbcSQLIntegrityConstraintViolationException, JdbcSQLInvalidAuthorizationSpecException, JdbcSQLNonTransientConnectionException, JdbcSQLNonTransientException, JdbcSQLSyntaxErrorException, JdbcSQLTimeoutException, JdbcSQLTransactionRollbackException, JdbcSQLTransientException

    public interface JdbcException

This interface contains additional methods for database exceptions.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getErrorCode()` Returns the H2-specific error code.
`java.lang.String` `getOriginalMessage()` INTERNAL
`java.lang.String` `getSQL()` Returns the SQL statement.
`void` `setSQL(java.lang.String sql)` INTERNAL
`java.lang.String` `toString()` Returns the class name, the message, and in the server mode, the stack trace of the server

### Method Detail

#### getErrorCode

    int getErrorCode()

Returns the H2-specific error code.

Returns:
  the H2-specific error code

#### getOriginalMessage

    java.lang.String getOriginalMessage()

INTERNAL

Returns:
  original message

#### getSQL

    java.lang.String getSQL()

Returns the SQL statement.

SQL statements that contain '--hide--' are not listed.

Returns:
  the SQL statement

#### setSQL

    void setSQL(java.lang.String sql)

INTERNAL

Parameters:
  `sql` - to set

#### toString

    java.lang.String toString()

Returns the class name, the message, and in the server mode, the stack trace of the server

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the string representation